package jp.co.sds_corp.test.applet;

import java.applet.Applet;
import java.applet.AppletContext;
import java.applet.AppletStub;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;

public class AppletStubImpl implements AppletStub
{
	URL codeBase;
	Map<String,String> map = new HashMap<String,String>();
	Applet applet;
	AppletContext context;

	public AppletStubImpl(Applet applet, URL codeBase) {
		this.applet = applet;
		this.codeBase = codeBase;
		context = new AppletContextStub(this.applet);
	}

	public void putParameter(String key, String value) {
		map.put(key, value);
	}

	@Override
	public void appletResize(int width, int height) {
	}

	@Override
	public AppletContext getAppletContext() {
		return context;
	}

	@Override
	public URL getCodeBase() {
		return codeBase;
	}

	@Override
	public URL getDocumentBase() {
		return codeBase;
	}

	@Override
	public String getParameter(String name) {
		return map.get(name);
	}

	@Override
	public boolean isActive() {
		return true;
	}

}
